Delete post OAuth Scope: posts:write

Delete or Archive a post. Any post that has been confirmed will have it’s status changed to archived. Posts in the draft status will be permanently deleted.

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

publicationIdstringRequiredformat: "^(pub_[0-9a-fA-F\-]+)$"
The prefixed ID of the publication object
postIdstringRequiredformat: "^(post_[0-9a-fA-F\-]+)$"
The prefixed ID of the post object

Response

No Content

Errors

202
Post Processing Error

The post was created via the Send API and is still being processed in the background. Wait briefly and retry, honoring the Retry-After header.

statusinteger
statusTextstring
dataobject
400
Bad Request Error
401
Unauthorized Error
404
Not Found Error
429
Too Many Requests Error
500
Internal Server Error